## Description

Bridge Simulator is a Python application designed to facilitate communication between a motion simulator software and MDBox controller through UDP protocol. It receives data from multiple axes and processes it to create and send messages in a specific format.

## Features

- UDP Listener: Listens for incoming data and processes it dynamically based on the number of axes.
- Message Creation: Constructs messages with a specific header and footer format.
- Message Sending: Sends the constructed messages to a specified IP and port.

## Installation

To install the MDBox Bridge, clone the repository to your local machine:

```sh
git git@github.com:Velik0ff/MDBoxBridge.git
```

## Configuration
You can configure the Bridge Simulator by modifying the constants at the beginning of the bridge.py file. Here are the available configuration options:

- HOST_PORT: The port on which the application sends messages.
- MBOX_PORT: The port of the recipient for the messages.
- LISTEN_PORT: The port on which the application listens for incoming data.
- DEST_IP: The destintation ip which is for the MDBox controller

## Important Notes
Please make sure that you send the data in 7 bit length, otherwise this bridge will not work!
